Subject: Re: [PATCH] powerpc: vmlinux.lds: Drop Binutils 2.18 workarounds

From: Segher Boessenkool <[email-masked]>
Date: Wed, 27 Mar 2019 07:47:55 -0500

On Wed, Mar 27, 2019 at 07:40:32AM +0100, Christophe Leroy wrote:
> Le 26/03/2019 à 23:29, Segher Boessenkool a écrit :
> >I tried to reproduce this.  It does not fail with a ppc6xx_defconfig
> >build, and mpc885_ads_defconfig fails with
> 
> So far, the only defconfig which fails for me is ppc64_defconfig, like 
> Michael.

Oh, I misunderstood then.  Let me try that :-)

> 885_ads is ok, I just noticed the STACK header in vmlinux that is not 
> there when the patch is not applies.

Right...  The linker generates that by default, it's nothing to worry
about.

> >What is your GCC?
> 
> [root@localhost linux-powerpc]# powerpc64-linux-gcc -v
> Using built-in specs.
> COLLECT_GCC=powerpc64-linux-gcc
> COLLECT_LTO_WRAPPER=/opt/gcc-8.1.0-nolibc/powerpc64-linux/bin/../libexec/gcc/powerpc64-linux/8.1.0/lto-wrapper
> Target: powerpc64-linux
> Configured with: /home/arnd/git/gcc/configure --target=powerpc64-linux 
> --enable-targets=all 
> --prefix=/home/arnd/cross/x86_64/gcc-8.1.0-nolibc/powerpc64-linux 
> --enable-languages=c --without-headers --disable-bootstrap --disable-nls 
> --disable-threads --disable-shared --disable-libmudflap --disable-libssp 
> --disable-libgomp --disable-decimal-float --disable-libquadmath 
> --disable-libatomic --disable-libcc1 --disable-libmpx 
> --enable-checking=release
> Thread model: single
> gcc version 8.1.0 (GCC)

Okay cool, a plain GCC build, importantly not a vendor compiler.  Built
with my scripts no less ;-)

> [root@localhost linux-powerpc]# powerpc64-linux-ld -v
> GNU ld (GNU Binutils) 2.30

Segher